Debian Bug report logs - #682640
c++-annotations: FTBFS: htmlindex causes segmentation fault

version graph

Package: src:c++-annotations; Maintainer for src:c++-annotations is Frank B. Brokken <f.b.brokken@rug.nl>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 24 Jul 2012 10:09:58 UTC

Severity: serious

Tags: confirmed, sid, wheezy

Found in version c++-annotations/9.4.0-1

Done: Martín Ferrari <martin.ferrari@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frank B. Brokken <f.b.brokken@rug.nl>:
Bug#682640; Package src:c++-annotations. (Tue, 24 Jul 2012 10:10:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Frank B. Brokken <f.b.brokken@rug.nl>. (Tue, 24 Jul 2012 10:10:00 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: c++-annotations: FTBFS: htmlindex causes segmentation fault
Date: Tue, 24 Jul 2012 11:42:48 +0200
Source: c++-annotations
Version: 9.4.0-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120724 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  fakeroot debian/rules binary
> dh_testdir
> ./build docs
> mkdir -p tmp/man
> yodl2man -o ../tmp/man/c++-annotations.7 c++-annotations
> Yodl2man 3.00.0
> Yodl is processing a(n) article
> mkdir -p tmp/bin
> ./build
> mkdir -p ../../tmp/bin
> mkdir o
> subdir aux
> g++ -c -o o/display.o --std=c++0x -Wall -g -O2   display.cc 
> g++ -c -o o/getkeys.o --std=c++0x -Wall -g -O2   getkeys.cc 
> g++ -c -o o/head.o --std=c++0x -Wall -g -O2   head.cc 
> g++ -c -o o/tail.o --std=c++0x -Wall -g -O2   tail.cc 
> g++ -c -o o/usage.o --std=c++0x -Wall -g -O2   usage.cc 
> mkdir o
> subdir indexentry
> g++ -c -o o/indexentry.o --std=c++0x -Wall -g -O2   indexentry.cc 
> g++ -c -o o/operatorless.o --std=c++0x -Wall -g -O2   operatorless.cc 
> g++ -c -o o/showrefs.o --std=c++0x -Wall -g -O2   showrefs.cc 
> mkdir o
> auxiliary *.cc files
> g++ -c -o o/htmlindex.o --std=c++0x -Wall -g -O2   htmlindex.cc 
> g++ -c -o o/version.o --std=c++0x -Wall -g -O2   version.cc 
> g++ -o ../../tmp/bin/htmlindex o/*.o */o/*.o  -lbobcat -L.  -s 
> g++ --std=c++0x -Wall -O2 -g -o tmp/bin/rmindexlines src/rmindexlines/rmindexlines.cc -s
> mkdir -p tmp/docs/latex
> mkdir -p tmp/docs/html
> mkdir -p tmp/docs/txt
> yodl2txt --no-warnings -o ../tmp/docs/txt/cplusplus.txt -l3 cplusplus
> -l and 3
> Yodl2html 3.00.0
> Yodl: including file preamble
> Yodl: including file abstract
> Yodl is processing a(n) report
> Document title: C++ Annotations
>             Version 9.4.0
> Yodl: including file overview
> Yodl: including file intro
> Yodl: including file intro/intro
> Yodl: including file whatsnew
> Yodl: including file intro/history
> Yodl: including file intro/annohistory
> Yodl: including file intro/cascpp
> Yodl: including file intro/compiling
> Yodl: including file intro/mswindows
> Yodl: including file intro/compilesources
> Yodl: including file intro/advantage
> Yodl: including file intro/object
> Yodl: including file intro/differences
> Yodl: including file intro/main
> Yodl: including file intro/eoln
> Yodl: including file intro/type
> Yodl: including file intro/overload
> Yodl: including file intro/default
> Yodl: including file intro/null
> Yodl: including file intro/void
> Yodl: including file intro/cplus
> Yodl: including file intro/cfunc
> Yodl: including file intro/header
> Yodl: including file intro/local
> Yodl: including file intro/typedef
> Yodl: including file intro/struct
> Yodl: including file first
> Yodl: including file first/first
> Yodl: including file first/extensions
> Yodl: including file first/namespaces
> Yodl: including file first/scope
> Yodl: including file first/const
> Yodl: including file first/cout
> Yodl: including file first/structs
> Yodl: including file first/public
> Yodl: including file first/cvscpp
> Yodl: including file first/references
> Yodl: including file first/rvalueref
> Yodl: including file first/stronglytyped
> Yodl: including file first/initializer
> Yodl: including file first/typeinference
> Yodl: including file first/using
> Yodl: including file first/rangebased
> Yodl: including file first/rawstring
> Yodl: including file first/datatypes
> Yodl: including file first/bool
> Yodl: including file first/wchar
> Yodl: including file first/unicode
> Yodl: including file first/longlongint
> Yodl: including file first/sizet
> Yodl: including file first/cast
> Yodl: including file first/staticcast
> Yodl: including file first/constcast
> Yodl: including file first/reinterpretcast
> Yodl: including file first/dynamiccast
> Yodl: including file first/sharedcast
> Yodl: including file first/keywords
> Yodl: including file namespaces
> Yodl: including file namespaces/intro
> Yodl: including file namespaces/defining
> Yodl: including file namespaces/declaring
> Yodl: including file namespaces/closed
> Yodl: including file namespaces/referring
> Yodl: including file namespaces/directive
> Yodl: including file namespaces/koenig
> Yodl: including file namespaces/std
> Yodl: including file namespaces/nesting
> Yodl: including file namespaces/outside
> Yodl: including file string
> Yodl: including file string/string
> Yodl: including file string/ops
> Yodl: including file string/overview
> Yodl: including file string/initializers
> Yodl: including file string/iterators
> Yodl: including file string/operators
> Yodl: including file string/members
> Yodl: including file iostreams
> Yodl: including file iostreams/intro
> Yodl: including file iostreams/headers
> Yodl: including file iostreams/iosbase
> Yodl: including file iostreams/ios
> Yodl: including file iostreams/conditions
> Yodl: including file iostreams/formatting
> Yodl: including file iostreams/formatmembers
> Yodl: including file iostreams/flags
> Yodl: including file iostreams/output
> Yodl: including file iostreams/ostream
> Yodl: including file iostreams/ostreamwrite
> Yodl: including file iostreams/ostreamseek
> Yodl: including file iostreams/ostreamflush
> Yodl: including file iostreams/ofstream
> Yodl: including file iostreams/outmodes
> Yodl: including file iostreams/ostringstream
> Yodl: including file iostreams/input
> Yodl: including file iostreams/istream
> Yodl: including file iostreams/istreamread
> Yodl: including file iostreams/istreamseek
> Yodl: including file iostreams/ifstream
> Yodl: including file iostreams/istringstream
> Yodl: including file iostreams/copying
> Yodl: including file iostreams/coupling
> Yodl: including file iostreams/redirection
> Yodl: including file iostreams/readwrite
> Yodl: including file classes
> Yodl: including file classes/intro
> Yodl: including file classes/construc
> Yodl: including file classes/application
> Yodl: including file classes/arguments
> Yodl: including file classes/order
> Yodl: including file classes/composition
> Yodl: including file classes/comconst
> Yodl: including file classes/comref
> Yodl: including file classes/memberinit
> Yodl: including file classes/constructorscall
> Yodl: including file classes/uniforminit
> Yodl: including file classes/defaulted
> Yodl: including file classes/member
> Yodl: including file classes/anonymous
> Yodl: including file classes/subtleties
> Yodl: including file classes/inline
> Yodl: including file classes/defineinline
> Yodl: including file classes/when2use
> Yodl: including file classes/whennot2use
> Yodl: including file classes/local
> Yodl: including file classes/mutable
> Yodl: including file classes/headers
> Yodl: including file classes/namespaces
> Yodl: including file classes/sizeof
> Yodl: including file static
> Yodl: including file static/intro
> Yodl: including file static/data
> Yodl: including file static/private
> Yodl: including file static/public
> Yodl: including file static/const
> Yodl: including file static/genconst
> Yodl: including file static/constexprdata
> Yodl: including file static/function
> Yodl: including file static/calling
> Yodl: including file memory
> Yodl: including file memory/intro
> Yodl: including file memory/new
> Yodl: including file memory/newarray
> Yodl: including file memory/deletearray
> Yodl: including file memory/enlargearray
> Yodl: including file memory/raw
> Yodl: including file memory/placement
> Yodl: including file memory/destructor
> Yodl: including file memory/objectp
> Yodl: including file memory/setnew
> Yodl: including file memory/assignment
> Yodl: including file memory/overload
> Yodl: including file memory/operator
> Yodl: including file memory/this
> Yodl: including file memory/sequential
> Yodl: including file memory/initialization
> Yodl: including file memory/revising
> Yodl: including file memory/swapping
> Yodl: including file memory/fastswap
> Yodl: including file memory/moving.yo
> Yodl: including file memory/move
> Yodl: including file memory/movecomposition
> Yodl: including file memory/moveassignment
> Yodl: including file memory/revising2
> Yodl: including file memory/movedestructor
> Yodl: including file memory/moveonly
> Yodl: including file memory/default
> Yodl: including file memory/moveimplications
> Yodl: including file memory/elision.yo
> Yodl: including file memory/pod
> Yodl: including file memory/conclusion
> Yodl: including file exceptions
> Yodl: including file exceptions/intro
> Yodl: including file exceptions/syntax
> Yodl: including file exceptions/example
> Yodl: including file exceptions/jmp
> Yodl: including file exceptions/exception
> Yodl: including file exceptions/throw
> Yodl: including file exceptions/emptythrow
> Yodl: including file exceptions/try
> Yodl: including file exceptions/catch
> Yodl: including file exceptions/defaultcatch
> Yodl: including file exceptions/declaring
> Yodl: including file exceptions/iostreams
> Yodl: including file exceptions/standard
> Yodl: including file exceptions/guarantees
> Yodl: including file exceptions/basic
> Yodl: including file exceptions/strong
> Yodl: including file exceptions/nothrow
> Yodl: including file exceptions/function
> Yodl: including file exceptions/constructors
> Yodl: including file overloading
> Yodl: including file overloading/more
> Yodl: including file overloading/array
> Yodl: including file overloading/insertextract
> Yodl: including file overloading/conversion
> Yodl: including file overloading/explicit.yo
> Yodl: including file overloading/explicitconversion
> Yodl: including file overloading/increment.yo
> Yodl: including file overloading/binary.yo
> Yodl: including file overloading/new
> Yodl: including file overloading/delete
> Yodl: including file overloading/newdeletearray
> Yodl: including file overloading/newarray
> Yodl: including file overloading/deletearray
> Yodl: including file overloading/newdeleteexceptions
> Yodl: including file overloading/functionobject.yo
> Yodl: including file overloading/manipulators
> Yodl: including file overloading/argmanipulators
> Yodl: including file overloading/iofstreamopen
> Yodl: including file overloading/userdefined
> Yodl: including file overloading/overloadable
> Yodl: including file containers
> Yodl: including file containers/container
> Yodl: including file containers/notations
> Yodl: including file containers/pair
> Yodl: including file containers/vector
> Yodl: including file containers/list
> Yodl: including file containers/queue
> Yodl: including file containers/priority
> Yodl: including file containers/deque
> Yodl: including file containers/map
> Yodl: including file containers/mapconstructors
> Yodl: including file containers/mapoperators
> Yodl: including file containers/mapmembers
> Yodl: including file containers/mapexample
> Yodl: including file containers/multimap
> Yodl: including file containers/set
> Yodl: including file containers/multiset
> Yodl: including file containers/stack
> Yodl: including file containers/hashtables
> Yodl: including file containers/regularexp
> Yodl: including file containers/complex
> Yodl: including file containers/unrestricted
> Yodl: including file containers/uniondestructor
> Yodl: including file containers/embedding
> Yodl: including file containers/destroying
> Yodl: including file containers/ccandmove
> Yodl: including file containers/assignment
> Yodl: including file inheritance
> Yodl: including file inheritance/intro
> Yodl: including file inheritance/related
> Yodl: including file inheritance/depth
> Yodl: including file inheritance/accessrights
> Yodl: including file inheritance/derivationtypes
> Yodl: including file inheritance/accessprom
> Yodl: including file inheritance/constructor
> Yodl: including file inheritance/move
> Yodl: including file inheritance/assignment
> Yodl: including file inheritance/usingbase
> Yodl: including file inheritance/destructor
> Yodl: including file inheritance/redefining
> Yodl: including file inheritance/init
> Yodl: including file inheritance/multiple
> Yodl: including file inheritance/conversions
> Yodl: including file inheritance/objectconv
> Yodl: including file inheritance/pointerconv
> Yodl: including file inheritance/nondefault
> Yodl: including file polymorphism
> Yodl: including file polymorphism/intro
> Yodl: including file polymorphism/function
> Yodl: including file polymorphism/destructor
> Yodl: including file polymorphism/pure
> Yodl: including file polymorphism/implementing
> Yodl: including file polymorphism/explicit
> Yodl: including file polymorphism/multiple
> Yodl: including file polymorphism/ambiguity
> Yodl: including file polymorphism/base
> Yodl: including file polymorphism/notvirtual
> Yodl: including file polymorphism/rtti
> Yodl: including file polymorphism/dynamiccast
> Yodl: including file polymorphism/typeid
> Yodl: including file polymorphism/inheritance
> Yodl: including file polymorphism/streambufdef
> Yodl: including file polymorphism/protectedstreambuf
> Yodl: including file polymorphism/protectedinput
> Yodl: including file polymorphism/protectedoutput
> Yodl: including file polymorphism/protectedbuffer
> Yodl: including file polymorphism/derivingfromstreambuf
> Yodl: including file polymorphism/filebuf
> Yodl: including file polymorphism/exception
> Yodl: including file polymorphism/implementation
> Yodl: including file polymorphism/undefined
> Yodl: including file polymorphism/constructors
> Yodl: including file friends
> Yodl: including file friends/intro
> Yodl: including file friends/friendfun
> Yodl: including file friends/extended
> Yodl: including file pointermembers
> Yodl: including file pointermembers/intro
> Yodl: including file pointermembers/example
> Yodl: including file pointermembers/defining
> Yodl: including file pointermembers/using
> Yodl: including file pointermembers/static
> Yodl: including file pointermembers/sizes
> Yodl: including file nested
> Yodl: including file nested/nesting
> Yodl: including file nested/defining
> Yodl: including file nested/declaring
> Yodl: including file nested/nestedfriends
> Yodl: including file nested/enumerations
> Yodl: including file nested/emptyenum
> Yodl: including file nested/virtcons.yo
> Yodl: including file stl
> Yodl: including file stl/intro
> Yodl: including file stl/predefined
> Yodl: including file stl/arithmetic
> Yodl: including file stl/relational
> Yodl: including file stl/logical
> Yodl: including file stl/adaptors
> Yodl: including file stl/binders
> Yodl: including file stl/negators
> Yodl: including file stl/iterators
> Yodl: including file stl/insertiterators
> Yodl: including file stl/istreamiterators
> Yodl: including file stl/istreambufiterators
> Yodl: including file stl/ostreamiterators
> Yodl: including file stl/ostreambufiterators
> Yodl: including file stl/uniqueptr
> Yodl: including file stl/defining
> Yodl: including file stl/uniqueplain
> Yodl: including file stl/uniquemove
> Yodl: including file stl/uniquenew
> Yodl: including file stl/uniquemembers
> Yodl: including file stl/uniquearrays
> Yodl: including file stl/autoptr
> Yodl: including file stl/sharedptr
> Yodl: including file stl/definingshared
> Yodl: including file stl/sharedplain
> Yodl: including file stl/sharednew
> Yodl: including file stl/sharedmembers
> Yodl: including file stl/sharedcasts
> Yodl: including file stl/sharedarrays
> Yodl: including file stl/makeshared
> Yodl: including file stl/classeshavingpointers
> Yodl: including file stl/threading
> Yodl: including file stl/thread
> Yodl: including file stl/mutex
> Yodl: including file stl/deadlocks
> Yodl: including file stl/events
> Yodl: including file stl/lambda
> Yodl: including file stl/statdist
> Yodl: including file stl/randomnumber
> Yodl: including file stl/statistical
> Yodl: including file stl/bernoulli
> Yodl: including file stl/binomial
> Yodl: including file stl/cauchy
> Yodl: including file stl/chisquared
> Yodl: including file stl/extremevalue
> Yodl: including file stl/exponential
> Yodl: including file stl/fisherf
> Yodl: including file stl/gamma
> Yodl: including file stl/geometric
> Yodl: including file stl/lognormal
> Yodl: including file stl/normal
> Yodl: including file stl/negativebinomial
> Yodl: including file stl/poisson
> Yodl: including file stl/studentt
> Yodl: including file stl/uniformint
> Yodl: including file stl/uniformreal
> Yodl: including file stl/weibull
> Yodl: including file generic
> Yodl: including file generic/intro
> Yodl: including file generic/accumulate
> Yodl: including file generic/adjacentdifference
> Yodl: including file generic/adjacentfind
> Yodl: including file generic/binarysearch
> Yodl: including file generic/copy
> Yodl: including file generic/copybackward
> Yodl: including file generic/count
> Yodl: including file generic/countif
> Yodl: including file generic/equal
> Yodl: including file generic/equalrange
> Yodl: including file generic/fill
> Yodl: including file generic/filln
> Yodl: including file generic/find
> Yodl: including file generic/findend
> Yodl: including file generic/findfirstof
> Yodl: including file generic/findif
> Yodl: including file generic/foreach
> Yodl: including file generic/generate
> Yodl: including file generic/generaten
> Yodl: including file generic/includes
> Yodl: including file generic/innerproduct
> Yodl: including file generic/inplacemerge
> Yodl: including file generic/iterswap
> Yodl: including file generic/lexicographicalcompare
> Yodl: including file generic/lowerbound
> Yodl: including file generic/max
> Yodl: including file generic/maxelement
> Yodl: including file generic/merge
> Yodl: including file generic/min
> Yodl: including file generic/minelement
> Yodl: including file generic/mismatch
> Yodl: including file generic/nextpermutation
> Yodl: including file generic/nthelement
> Yodl: including file generic/partialsort
> Yodl: including file generic/partialsortcopy
> Yodl: including file generic/partialsum
> Yodl: including file generic/partition
> Yodl: including file generic/prevpermutation
> Yodl: including file generic/randomshuffle
> Yodl: including file generic/remove
> Yodl: including file generic/removecopy
> Yodl: including file generic/removecopyif
> Yodl: including file generic/removeif
> Yodl: including file generic/replace
> Yodl: including file generic/replacecopy
> Yodl: including file generic/replacecopyif
> Yodl: including file generic/replaceif
> Yodl: including file generic/reverse
> Yodl: including file generic/reversecopy
> Yodl: including file generic/rotate
> Yodl: including file generic/rotatecopy
> Yodl: including file generic/search
> Yodl: including file generic/searchn
> Yodl: including file generic/setdifference
> Yodl: including file generic/setintersection
> Yodl: including file generic/setsymmetricdifference
> Yodl: including file generic/setunion
> Yodl: including file generic/sort
> Yodl: including file generic/stablepartition
> Yodl: including file generic/stablesort
> Yodl: including file generic/swap
> Yodl: including file generic/swapranges
> Yodl: including file generic/transform
> Yodl: including file generic/unique
> Yodl: including file generic/uniquecopy
> Yodl: including file generic/upperbound
> Yodl: including file generic/heap
> Yodl: including file generic/makeheap
> Yodl: including file generic/popheap
> Yodl: including file generic/pushheap
> Yodl: including file generic/sortheap
> Yodl: including file generic/morefunctionadaptors
> Yodl: including file generic/memberfunctionadaptors
> Yodl: including file generic/adaptablefunctions
> Yodl: including file functiontemplates
> Yodl: including file functiontemplates/intro
> Yodl: including file functiontemplates/definitions
> Yodl: including file functiontemplates/considerations
> Yodl: including file functiontemplates/alternate
> Yodl: including file functiontemplates/referencewrappers
> Yodl: including file functiontemplates/local
> Yodl: including file functiontemplates/argumentdeduction
> Yodl: including file functiontemplates/lvalue
> Yodl: including file functiontemplates/qualifications
> Yodl: including file functiontemplates/baseclass
> Yodl: including file functiontemplates/algorithm
> Yodl: including file functiontemplates/contractions
> Yodl: including file functiontemplates/declarations
> Yodl: including file functiontemplates/instantdecl
> Yodl: including file functiontemplates/instantiations
> Yodl: including file functiontemplates/nocodebloat
> Yodl: including file functiontemplates/explicit
> Yodl: including file functiontemplates/overloading
> Yodl: including file functiontemplates/example
> Yodl: including file functiontemplates/ambiguities
> Yodl: including file functiontemplates/declaring
> Yodl: including file functiontemplates/specialization
> Yodl: including file functiontemplates/avoiding
> Yodl: including file functiontemplates/declaringspec
> Yodl: including file functiontemplates/insertion
> Yodl: including file functiontemplates/staticassertions
> Yodl: including file functiontemplates/limits
> Yodl: including file functiontemplates/polymorphouswrappers
> Yodl: including file functiontemplates/nameresolution
> Yodl: including file functiontemplates/selection
> Yodl: including file functiontemplates/determining
> Yodl: including file functiontemplates/sfinae
> Yodl: including file functiontemplates/summary
> Yodl: including file classtemplates
> Yodl: including file classtemplates/intro
> Yodl: including file classtemplates/definitions
> Yodl: including file classtemplates/cirque
> Yodl: including file classtemplates/nontype
> Yodl: including file classtemplates/membertemplates
> Yodl: including file classtemplates/cirquemembers
> Yodl: including file classtemplates/cirqueuse
> Yodl: including file classtemplates/default
> Yodl: including file classtemplates/declaring
> Yodl: including file classtemplates/externtemplate
> Yodl: including file classtemplates/static
> Yodl: including file classtemplates/typename
> Yodl: including file classtemplates/specialization
> Yodl: including file classtemplates/cirqueexample
> Yodl: including file classtemplates/partial
> Yodl: including file classtemplates/matrixalgebra
> Yodl: including file classtemplates/matrix
> Yodl: including file classtemplates/matrixrow
> Yodl: including file classtemplates/matrixcol
> Yodl: including file classtemplates/onebyone
> Yodl: including file classtemplates/variadic
> Yodl: including file classtemplates/defining
> Yodl: including file classtemplates/perfect
> Yodl: including file classtemplates/references
> Yodl: including file classtemplates/unpack
> Yodl: including file classtemplates/variadicnontype
> Yodl: including file classtemplates/tuples
> Yodl: including file classtemplates/returntype
> Yodl: including file classtemplates/instantiations
> Yodl: including file classtemplates/nameresolution
> Yodl: including file classtemplates/friends
> Yodl: including file classtemplates/normalfriends
> Yodl: including file classtemplates/boundfriends
> Yodl: including file classtemplates/unboundfriends
> Yodl: including file classtemplates/extended
> Yodl: including file classtemplates/derived
> Yodl: including file classtemplates/template2concrete
> Yodl: including file classtemplates/template2template
> Yodl: including file classtemplates/concrete2template
> Yodl: including file classtemplates/nesting
> Yodl: including file classtemplates/iteratorcons
> Yodl: including file classtemplates/randomiterator
> Yodl: including file classtemplates/reverseiterator
> Yodl: including file advancedtemplates
> Yodl: including file advancedtemplates/intro
> Yodl: including file advancedtemplates/subtle
> Yodl: including file advancedtemplates/returnnested
> Yodl: including file advancedtemplates/basenameresolution
> Yodl: including file advancedtemplates/dottemplate
> Yodl: including file advancedtemplates/values
> Yodl: including file advancedtemplates/int2type
> Yodl: including file advancedtemplates/alternatives
> Yodl: including file advancedtemplates/overloaded
> Yodl: including file advancedtemplates/classstructure
> Yodl: including file advancedtemplates/example
> Yodl: including file advancedtemplates/iterating
> Yodl: including file advancedtemplates/userdefined
> Yodl: including file advancedtemplates/templateparam
> Yodl: including file advancedtemplates/policies
> Yodl: including file advancedtemplates/templateparam2
> Yodl: including file advancedtemplates/destructor
> Yodl: including file advancedtemplates/structure
> Yodl: including file advancedtemplates/aliases
> Yodl: including file advancedtemplates/trait
> Yodl: including file advancedtemplates/distinguish.yo
> Yodl: including file advancedtemplates/availabletraits
> Yodl: including file advancedtemplates/typetype
> Yodl: including file advancedtemplates/nulltype
> Yodl: including file advancedtemplates/conversion
> Yodl: including file advancedtemplates/inheritance
> Yodl: including file advancedtemplates/listintro
> Yodl: including file advancedtemplates/length
> Yodl: including file advancedtemplates/search
> Yodl: including file advancedtemplates/select
> Yodl: including file advancedtemplates/append
> Yodl: including file advancedtemplates/erase
> Yodl: including file advancedtemplates/erasefirst
> Yodl: including file advancedtemplates/eraseindex
> Yodl: including file advancedtemplates/eraseall
> Yodl: including file advancedtemplates/erasedup
> Yodl: including file advancedtemplates/using
> Yodl: including file advancedtemplates/multi
> Yodl: including file advancedtemplates/multibase
> Yodl: including file advancedtemplates/support
> Yodl: including file advancedtemplates/usingmulti
> Yodl: including file concrete
> Yodl: including file concrete/intro
> Yodl: including file concrete/fdout
> Yodl: including file concrete/fdinput
> Yodl: including file concrete/fdinbuf
> Yodl: including file concrete/fdninbuf
> Yodl: including file concrete/fdinseek
> Yodl: including file concrete/fdunget
> Yodl: including file concrete/fistream
> Yodl: including file concrete/fistreamexample
> Yodl: including file concrete/fork
> Yodl: including file concrete/basicfork
> Yodl: including file concrete/parents
> Yodl: including file concrete/redirection
> Yodl: including file concrete/daemon
> Yodl: including file concrete/pipes
> Yodl: including file concrete/parentslurp
> Yodl: including file concrete/children
> Yodl: including file concrete/select
> Yodl: including file concrete/selectimpl
> Yodl: including file concrete/monitor
> Yodl: including file concrete/shandler
> Yodl: including file concrete/run
> Yodl: including file concrete/monitorexample
> Yodl: including file concrete/child
> Yodl: including file concrete/bitwise
> Yodl: including file concrete/a2x
> Yodl: including file concrete/binop
> Yodl: including file concrete/promotions
> Yodl: including file concrete/ranger
> Yodl: including file concrete/proxy
> Yodl: including file concrete/iterators
> Yodl: including file concrete/bisonflex
> Yodl: including file concrete/usingflex
> Yodl: including file concrete/lexer
> Yodl: including file concrete/lexerspec
> yodlverbinsert: label section not found
> yodlverbinsert: label section not found
> Yodl: including file concrete/scanner
> Yodl: including file concrete/scanmain
> Yodl: including file concrete/scancompile
> Yodl: including file concrete/usingbison
> Yodl: including file concrete/bison
> Yodl: including file concrete/definition
> Yodl: including file concrete/rules
> Yodl: including file concrete/parserh
> Yodl: including file concrete/bisonflexspec
> Yodl: including file concrete/codegeneration
> Yodl: including file concrete/polymorphic
> Yodl: including file concrete/parser.yo
> Yodl: including file concrete/tag
> Yodl: including file concrete/mutable
> Yodl: including file concrete/tagtrait
> Yodl: including file concrete/access
> Yodl: including file concrete/sembase
> Yodl: including file concrete/semantic
> Yodl: including file concrete/addtypes
> Yodl: including file concrete/spsembase
> Yodl: including file concrete/polygram
> Yodl: including file concrete/semscanner.yo
> cp -r html/* tmp/docs/html
> yodl2html --no-warnings -l3 cplusplus
> -l and 3
> Yodl2html 3.00.0
> Yodl: including file preamble
> Yodl: including file abstract
> Yodl is processing a(n) report
> Document title: <center>C++ Annotations Version 9.4.0</center>
> Yodl: including file overview
> Yodl: including file intro
> Yodl: including file intro/intro
> Yodl: including file whatsnew
> Yodl: including file intro/history
> Yodl: including file intro/annohistory
> Yodl: including file intro/cascpp
> Yodl: including file intro/compiling
> Yodl: including file intro/mswindows
> Yodl: including file intro/compilesources
> Yodl: including file intro/advantage
> Yodl: including file intro/object
> Yodl: including file intro/differences
> Yodl: including file intro/main
> Yodl: including file intro/eoln
> Yodl: including file intro/type
> Yodl: including file intro/overload
> Yodl: including file intro/default
> Yodl: including file intro/null
> Yodl: including file intro/void
> Yodl: including file intro/cplus
> Yodl: including file intro/cfunc
> Yodl: including file intro/header
> Yodl: including file intro/local
> Yodl: including file intro/typedef
> Yodl: including file intro/struct
> Yodl: including file first
> Yodl: including file first/first
> Yodl: including file first/extensions
> Yodl: including file first/namespaces
> Yodl: including file first/scope
> Yodl: including file first/const
> Yodl: including file first/cout
> Yodl: including file first/structs
> Yodl: including file first/public
> Yodl: including file first/cvscpp
> Yodl: including file first/references
> Yodl: including file first/rvalueref
> Yodl: including file first/stronglytyped
> Yodl: including file first/initializer
> Yodl: including file first/typeinference
> Yodl: including file first/using
> Yodl: including file first/rangebased
> Yodl: including file first/rawstring
> Yodl: including file first/datatypes
> Yodl: including file first/bool
> Yodl: including file first/wchar
> Yodl: including file first/unicode
> Yodl: including file first/longlongint
> Yodl: including file first/sizet
> Yodl: including file first/cast
> Yodl: including file first/staticcast
> Yodl: including file first/constcast
> Yodl: including file first/reinterpretcast
> Yodl: including file first/dynamiccast
> Yodl: including file first/sharedcast
> Yodl: including file first/keywords
> Yodl: including file namespaces
> Yodl: including file namespaces/intro
> Yodl: including file namespaces/defining
> Yodl: including file namespaces/declaring
> Yodl: including file namespaces/closed
> Yodl: including file namespaces/referring
> Yodl: including file namespaces/directive
> Yodl: including file namespaces/koenig
> Yodl: including file namespaces/std
> Yodl: including file namespaces/nesting
> Yodl: including file namespaces/outside
> Yodl: including file string
> Yodl: including file string/string
> Yodl: including file string/ops
> Yodl: including file string/overview
> Yodl: including file string/initializers
> Yodl: including file string/iterators
> Yodl: including file string/operators
> Yodl: including file string/members
> Yodl: including file iostreams
> Yodl: including file iostreams/intro
> Yodl: including file iostreams/headers
> Yodl: including file iostreams/iosbase
> Yodl: including file iostreams/ios
> Yodl: including file iostreams/conditions
> Yodl: including file iostreams/formatting
> Yodl: including file iostreams/formatmembers
> Yodl: including file iostreams/flags
> Yodl: including file iostreams/output
> Yodl: including file iostreams/ostream
> Yodl: including file iostreams/ostreamwrite
> Yodl: including file iostreams/ostreamseek
> Yodl: including file iostreams/ostreamflush
> Yodl: including file iostreams/ofstream
> Yodl: including file iostreams/outmodes
> Yodl: including file iostreams/ostringstream
> Yodl: including file iostreams/input
> Yodl: including file iostreams/istream
> Yodl: including file iostreams/istreamread
> Yodl: including file iostreams/istreamseek
> Yodl: including file iostreams/ifstream
> Yodl: including file iostreams/istringstream
> Yodl: including file iostreams/copying
> Yodl: including file iostreams/coupling
> Yodl: including file iostreams/redirection
> Yodl: including file iostreams/readwrite
> Yodl: including file classes
> Yodl: including file classes/intro
> Yodl: including file classes/construc
> Yodl: including file classes/application
> Yodl: including file classes/arguments
> Yodl: including file classes/order
> Yodl: including file classes/composition
> Yodl: including file classes/comconst
> Yodl: including file classes/comref
> Yodl: including file classes/memberinit
> Yodl: including file classes/constructorscall
> Yodl: including file classes/uniforminit
> Yodl: including file classes/defaulted
> Yodl: including file classes/member
> Yodl: including file classes/anonymous
> Yodl: including file classes/subtleties
> Yodl: including file classes/inline
> Yodl: including file classes/defineinline
> Yodl: including file classes/when2use
> Yodl: including file classes/whennot2use
> Yodl: including file classes/local
> Yodl: including file classes/mutable
> Yodl: including file classes/headers
> Yodl: including file classes/namespaces
> Yodl: including file classes/sizeof
> Yodl: including file static
> Yodl: including file static/intro
> Yodl: including file static/data
> Yodl: including file static/private
> Yodl: including file static/public
> Yodl: including file static/const
> Yodl: including file static/genconst
> Yodl: including file static/constexprdata
> Yodl: including file static/function
> Yodl: including file static/calling
> Yodl: including file memory
> Yodl: including file memory/intro
> Yodl: including file memory/new
> Yodl: including file memory/newarray
> Yodl: including file memory/deletearray
> Yodl: including file memory/enlargearray
> Yodl: including file memory/raw
> Yodl: including file memory/placement
> Yodl: including file memory/destructor
> Yodl: including file memory/objectp
> Yodl: including file memory/setnew
> Yodl: including file memory/assignment
> Yodl: including file memory/overload
> Yodl: including file memory/operator
> Yodl: including file memory/this
> Yodl: including file memory/sequential
> Yodl: including file memory/initialization
> Yodl: including file memory/revising
> Yodl: including file memory/swapping
> Yodl: including file memory/fastswap
> Yodl: including file memory/moving.yo
> Yodl: including file memory/move
> Yodl: including file memory/movecomposition
> Yodl: including file memory/moveassignment
> Yodl: including file memory/revising2
> Yodl: including file memory/movedestructor
> Yodl: including file memory/moveonly
> Yodl: including file memory/default
> Yodl: including file memory/moveimplications
> Yodl: including file memory/elision.yo
> Yodl: including file memory/pod
> Yodl: including file memory/conclusion
> Yodl: including file exceptions
> Yodl: including file exceptions/intro
> Yodl: including file exceptions/syntax
> Yodl: including file exceptions/example
> Yodl: including file exceptions/jmp
> Yodl: including file exceptions/exception
> Yodl: including file exceptions/throw
> Yodl: including file exceptions/emptythrow
> Yodl: including file exceptions/try
> Yodl: including file exceptions/catch
> Yodl: including file exceptions/defaultcatch
> Yodl: including file exceptions/declaring
> Yodl: including file exceptions/iostreams
> Yodl: including file exceptions/standard
> Yodl: including file exceptions/guarantees
> Yodl: including file exceptions/basic
> Yodl: including file exceptions/strong
> Yodl: including file exceptions/nothrow
> Yodl: including file exceptions/function
> Yodl: including file exceptions/constructors
> Yodl: including file overloading
> Yodl: including file overloading/more
> Yodl: including file overloading/array
> Yodl: including file overloading/insertextract
> Yodl: including file overloading/conversion
> Yodl: including file overloading/explicit.yo
> Yodl: including file overloading/explicitconversion
> Yodl: including file overloading/increment.yo
> Yodl: including file overloading/binary.yo
> Yodl: including file overloading/new
> Yodl: including file overloading/delete
> Yodl: including file overloading/newdeletearray
> Yodl: including file overloading/newarray
> Yodl: including file overloading/deletearray
> Yodl: including file overloading/newdeleteexceptions
> Yodl: including file overloading/functionobject.yo
> Yodl: including file overloading/manipulators
> Yodl: including file overloading/argmanipulators
> Yodl: including file overloading/iofstreamopen
> Yodl: including file overloading/userdefined
> Yodl: including file overloading/overloadable
> Yodl: including file containers
> Yodl: including file containers/container
> Yodl: including file containers/notations
> Yodl: including file containers/pair
> Yodl: including file containers/vector
> Yodl: including file containers/list
> Yodl: including file containers/queue
> Yodl: including file containers/priority
> Yodl: including file containers/deque
> Yodl: including file containers/map
> Yodl: including file containers/mapconstructors
> Yodl: including file containers/mapoperators
> Yodl: including file containers/mapmembers
> Yodl: including file containers/mapexample
> Yodl: including file containers/multimap
> Yodl: including file containers/set
> Yodl: including file containers/multiset
> Yodl: including file containers/stack
> Yodl: including file containers/hashtables
> Yodl: including file containers/regularexp
> Yodl: including file containers/complex
> Yodl: including file containers/unrestricted
> Yodl: including file containers/uniondestructor
> Yodl: including file containers/embedding
> Yodl: including file containers/destroying
> Yodl: including file containers/ccandmove
> Yodl: including file containers/assignment
> Yodl: including file inheritance
> Yodl: including file inheritance/intro
> Yodl: including file inheritance/related
> Yodl: including file inheritance/depth
> Yodl: including file inheritance/accessrights
> Yodl: including file inheritance/derivationtypes
> Yodl: including file inheritance/accessprom
> Yodl: including file inheritance/constructor
> Yodl: including file inheritance/move
> Yodl: including file inheritance/assignment
> Yodl: including file inheritance/usingbase
> Yodl: including file inheritance/destructor
> Yodl: including file inheritance/redefining
> Yodl: including file inheritance/init
> Yodl: including file inheritance/multiple
> Yodl: including file inheritance/conversions
> Yodl: including file inheritance/objectconv
> Yodl: including file inheritance/pointerconv
> Yodl: including file inheritance/nondefault
> Yodl: including file polymorphism
> Yodl: including file polymorphism/intro
> Yodl: including file polymorphism/function
> Yodl: including file polymorphism/destructor
> Yodl: including file polymorphism/pure
> Yodl: including file polymorphism/implementing
> Yodl: including file polymorphism/explicit
> Yodl: including file polymorphism/multiple
> Yodl: including file polymorphism/ambiguity
> Yodl: including file polymorphism/base
> Yodl: including file polymorphism/notvirtual
> Yodl: including file polymorphism/rtti
> Yodl: including file polymorphism/dynamiccast
> Yodl: including file polymorphism/typeid
> Yodl: including file polymorphism/inheritance
> Yodl: including file polymorphism/streambufdef
> Yodl: including file polymorphism/protectedstreambuf
> Yodl: including file polymorphism/protectedinput
> Yodl: including file polymorphism/protectedoutput
> Yodl: including file polymorphism/protectedbuffer
> Yodl: including file polymorphism/derivingfromstreambuf
> Yodl: including file polymorphism/filebuf
> Yodl: including file polymorphism/exception
> Yodl: including file polymorphism/implementation
> Yodl: including file polymorphism/undefined
> Yodl: including file polymorphism/constructors
> Yodl: including file friends
> Yodl: including file friends/intro
> Yodl: including file friends/friendfun
> Yodl: including file friends/extended
> Yodl: including file pointermembers
> Yodl: including file pointermembers/intro
> Yodl: including file pointermembers/example
> Yodl: including file pointermembers/defining
> Yodl: including file pointermembers/using
> Yodl: including file pointermembers/static
> Yodl: including file pointermembers/sizes
> Yodl: including file nested
> Yodl: including file nested/nesting
> Yodl: including file nested/defining
> Yodl: including file nested/declaring
> Yodl: including file nested/nestedfriends
> Yodl: including file nested/enumerations
> Yodl: including file nested/emptyenum
> Yodl: including file nested/virtcons.yo
> Yodl: including file stl
> Yodl: including file stl/intro
> Yodl: including file stl/predefined
> Yodl: including file stl/arithmetic
> Yodl: including file stl/relational
> Yodl: including file stl/logical
> Yodl: including file stl/adaptors
> Yodl: including file stl/binders
> Yodl: including file stl/negators
> Yodl: including file stl/iterators
> Yodl: including file stl/insertiterators
> Yodl: including file stl/istreamiterators
> Yodl: including file stl/istreambufiterators
> Yodl: including file stl/ostreamiterators
> Yodl: including file stl/ostreambufiterators
> Yodl: including file stl/uniqueptr
> Yodl: including file stl/defining
> Yodl: including file stl/uniqueplain
> Yodl: including file stl/uniquemove
> Yodl: including file stl/uniquenew
> Yodl: including file stl/uniquemembers
> Yodl: including file stl/uniquearrays
> Yodl: including file stl/autoptr
> Yodl: including file stl/sharedptr
> Yodl: including file stl/definingshared
> Yodl: including file stl/sharedplain
> Yodl: including file stl/sharednew
> Yodl: including file stl/sharedmembers
> Yodl: including file stl/sharedcasts
> Yodl: including file stl/sharedarrays
> Yodl: including file stl/makeshared
> Yodl: including file stl/classeshavingpointers
> Yodl: including file stl/threading
> Yodl: including file stl/thread
> Yodl: including file stl/mutex
> Yodl: including file stl/deadlocks
> Yodl: including file stl/events
> Yodl: including file stl/lambda
> Yodl: including file stl/statdist
> Yodl: including file stl/randomnumber
> Yodl: including file stl/statistical
> Yodl: including file stl/bernoulli
> Yodl: including file stl/binomial
> Yodl: including file stl/cauchy
> Yodl: including file stl/chisquared
> Yodl: including file stl/extremevalue
> Yodl: including file stl/exponential
> Yodl: including file stl/fisherf
> Yodl: including file stl/gamma
> Yodl: including file stl/geometric
> Yodl: including file stl/lognormal
> Yodl: including file stl/normal
> Yodl: including file stl/negativebinomial
> Yodl: including file stl/poisson
> Yodl: including file stl/studentt
> Yodl: including file stl/uniformint
> Yodl: including file stl/uniformreal
> Yodl: including file stl/weibull
> Yodl: including file generic
> Yodl: including file generic/intro
> Yodl: including file generic/accumulate
> Yodl: including file generic/adjacentdifference
> Yodl: including file generic/adjacentfind
> Yodl: including file generic/binarysearch
> Yodl: including file generic/copy
> Yodl: including file generic/copybackward
> Yodl: including file generic/count
> Yodl: including file generic/countif
> Yodl: including file generic/equal
> Yodl: including file generic/equalrange
> Yodl: including file generic/fill
> Yodl: including file generic/filln
> Yodl: including file generic/find
> Yodl: including file generic/findend
> Yodl: including file generic/findfirstof
> Yodl: including file generic/findif
> Yodl: including file generic/foreach
> Yodl: including file generic/generate
> Yodl: including file generic/generaten
> Yodl: including file generic/includes
> Yodl: including file generic/innerproduct
> Yodl: including file generic/inplacemerge
> Yodl: including file generic/iterswap
> Yodl: including file generic/lexicographicalcompare
> Yodl: including file generic/lowerbound
> Yodl: including file generic/max
> Yodl: including file generic/maxelement
> Yodl: including file generic/merge
> Yodl: including file generic/min
> Yodl: including file generic/minelement
> Yodl: including file generic/mismatch
> Yodl: including file generic/nextpermutation
> Yodl: including file generic/nthelement
> Yodl: including file generic/partialsort
> Yodl: including file generic/partialsortcopy
> Yodl: including file generic/partialsum
> Yodl: including file generic/partition
> Yodl: including file generic/prevpermutation
> Yodl: including file generic/randomshuffle
> Yodl: including file generic/remove
> Yodl: including file generic/removecopy
> Yodl: including file generic/removecopyif
> Yodl: including file generic/removeif
> Yodl: including file generic/replace
> Yodl: including file generic/replacecopy
> Yodl: including file generic/replacecopyif
> Yodl: including file generic/replaceif
> Yodl: including file generic/reverse
> Yodl: including file generic/reversecopy
> Yodl: including file generic/rotate
> Yodl: including file generic/rotatecopy
> Yodl: including file generic/search
> Yodl: including file generic/searchn
> Yodl: including file generic/setdifference
> Yodl: including file generic/setintersection
> Yodl: including file generic/setsymmetricdifference
> Yodl: including file generic/setunion
> Yodl: including file generic/sort
> Yodl: including file generic/stablepartition
> Yodl: including file generic/stablesort
> Yodl: including file generic/swap
> Yodl: including file generic/swapranges
> Yodl: including file generic/transform
> Yodl: including file generic/unique
> Yodl: including file generic/uniquecopy
> Yodl: including file generic/upperbound
> Yodl: including file generic/heap
> Yodl: including file generic/makeheap
> Yodl: including file generic/popheap
> Yodl: including file generic/pushheap
> Yodl: including file generic/sortheap
> Yodl: including file generic/morefunctionadaptors
> Yodl: including file generic/memberfunctionadaptors
> Yodl: including file generic/adaptablefunctions
> Yodl: including file functiontemplates
> Yodl: including file functiontemplates/intro
> Yodl: including file functiontemplates/definitions
> Yodl: including file functiontemplates/considerations
> Yodl: including file functiontemplates/alternate
> Yodl: including file functiontemplates/referencewrappers
> Yodl: including file functiontemplates/local
> Yodl: including file functiontemplates/argumentdeduction
> Yodl: including file functiontemplates/lvalue
> Yodl: including file functiontemplates/qualifications
> Yodl: including file functiontemplates/baseclass
> Yodl: including file functiontemplates/algorithm
> Yodl: including file functiontemplates/contractions
> Yodl: including file functiontemplates/declarations
> Yodl: including file functiontemplates/instantdecl
> Yodl: including file functiontemplates/instantiations
> Yodl: including file functiontemplates/nocodebloat
> Yodl: including file functiontemplates/explicit
> Yodl: including file functiontemplates/overloading
> Yodl: including file functiontemplates/example
> Yodl: including file functiontemplates/ambiguities
> Yodl: including file functiontemplates/declaring
> Yodl: including file functiontemplates/specialization
> Yodl: including file functiontemplates/avoiding
> Yodl: including file functiontemplates/declaringspec
> Yodl: including file functiontemplates/insertion
> Yodl: including file functiontemplates/staticassertions
> Yodl: including file functiontemplates/limits
> Yodl: including file functiontemplates/polymorphouswrappers
> Yodl: including file functiontemplates/nameresolution
> Yodl: including file functiontemplates/selection
> Yodl: including file functiontemplates/determining
> Yodl: including file functiontemplates/sfinae
> Yodl: including file functiontemplates/summary
> Yodl: including file classtemplates
> Yodl: including file classtemplates/intro
> Yodl: including file classtemplates/definitions
> Yodl: including file classtemplates/cirque
> Yodl: including file classtemplates/nontype
> Yodl: including file classtemplates/membertemplates
> Yodl: including file classtemplates/cirquemembers
> Yodl: including file classtemplates/cirqueuse
> Yodl: including file classtemplates/default
> Yodl: including file classtemplates/declaring
> Yodl: including file classtemplates/externtemplate
> Yodl: including file classtemplates/static
> Yodl: including file classtemplates/typename
> Yodl: including file classtemplates/specialization
> Yodl: including file classtemplates/cirqueexample
> Yodl: including file classtemplates/partial
> Yodl: including file classtemplates/matrixalgebra
> Yodl: including file classtemplates/matrix
> Yodl: including file classtemplates/matrixrow
> Yodl: including file classtemplates/matrixcol
> Yodl: including file classtemplates/onebyone
> Yodl: including file classtemplates/variadic
> Yodl: including file classtemplates/defining
> Yodl: including file classtemplates/perfect
> Yodl: including file classtemplates/references
> Yodl: including file classtemplates/unpack
> Yodl: including file classtemplates/variadicnontype
> Yodl: including file classtemplates/tuples
> Yodl: including file classtemplates/returntype
> Yodl: including file classtemplates/instantiations
> Yodl: including file classtemplates/nameresolution
> Yodl: including file classtemplates/friends
> Yodl: including file classtemplates/normalfriends
> Yodl: including file classtemplates/boundfriends
> Yodl: including file classtemplates/unboundfriends
> Yodl: including file classtemplates/extended
> Yodl: including file classtemplates/derived
> Yodl: including file classtemplates/template2concrete
> Yodl: including file classtemplates/template2template
> Yodl: including file classtemplates/concrete2template
> Yodl: including file classtemplates/nesting
> Yodl: including file classtemplates/iteratorcons
> Yodl: including file classtemplates/randomiterator
> Yodl: including file classtemplates/reverseiterator
> Yodl: including file advancedtemplates
> Yodl: including file advancedtemplates/intro
> Yodl: including file advancedtemplates/subtle
> Yodl: including file advancedtemplates/returnnested
> Yodl: including file advancedtemplates/basenameresolution
> Yodl: including file advancedtemplates/dottemplate
> Yodl: including file advancedtemplates/values
> Yodl: including file advancedtemplates/int2type
> Yodl: including file advancedtemplates/alternatives
> Yodl: including file advancedtemplates/overloaded
> Yodl: including file advancedtemplates/classstructure
> Yodl: including file advancedtemplates/example
> Yodl: including file advancedtemplates/iterating
> Yodl: including file advancedtemplates/userdefined
> Yodl: including file advancedtemplates/templateparam
> Yodl: including file advancedtemplates/policies
> Yodl: including file advancedtemplates/templateparam2
> Yodl: including file advancedtemplates/destructor
> Yodl: including file advancedtemplates/structure
> Yodl: including file advancedtemplates/aliases
> Yodl: including file advancedtemplates/trait
> Yodl: including file advancedtemplates/distinguish.yo
> Yodl: including file advancedtemplates/availabletraits
> Yodl: including file advancedtemplates/typetype
> Yodl: including file advancedtemplates/nulltype
> Yodl: including file advancedtemplates/conversion
> Yodl: including file advancedtemplates/inheritance
> Yodl: including file advancedtemplates/listintro
> Yodl: including file advancedtemplates/length
> Yodl: including file advancedtemplates/search
> Yodl: including file advancedtemplates/select
> Yodl: including file advancedtemplates/append
> Yodl: including file advancedtemplates/erase
> Yodl: including file advancedtemplates/erasefirst
> Yodl: including file advancedtemplates/eraseindex
> Yodl: including file advancedtemplates/eraseall
> Yodl: including file advancedtemplates/erasedup
> Yodl: including file advancedtemplates/using
> Yodl: including file advancedtemplates/multi
> Yodl: including file advancedtemplates/multibase
> Yodl: including file advancedtemplates/support
> Yodl: including file advancedtemplates/usingmulti
> Yodl: including file concrete
> Yodl: including file concrete/intro
> Yodl: including file concrete/fdout
> Yodl: including file concrete/fdinput
> Yodl: including file concrete/fdinbuf
> Yodl: including file concrete/fdninbuf
> Yodl: including file concrete/fdinseek
> Yodl: including file concrete/fdunget
> Yodl: including file concrete/fistream
> Yodl: including file concrete/fistreamexample
> Yodl: including file concrete/fork
> Yodl: including file concrete/basicfork
> Yodl: including file concrete/parents
> Yodl: including file concrete/redirection
> Yodl: including file concrete/daemon
> Yodl: including file concrete/pipes
> Yodl: including file concrete/parentslurp
> Yodl: including file concrete/children
> Yodl: including file concrete/select
> Yodl: including file concrete/selectimpl
> Yodl: including file concrete/monitor
> Yodl: including file concrete/shandler
> Yodl: including file concrete/run
> Yodl: including file concrete/monitorexample
> Yodl: including file concrete/child
> Yodl: including file concrete/bitwise
> Yodl: including file concrete/a2x
> Yodl: including file concrete/binop
> Yodl: including file concrete/promotions
> Yodl: including file concrete/ranger
> Yodl: including file concrete/proxy
> Yodl: including file concrete/iterators
> Yodl: including file concrete/bisonflex
> Yodl: including file concrete/usingflex
> Yodl: including file concrete/lexer
> Yodl: including file concrete/lexerspec
> yodlverbinsert: label section not found
> yodlverbinsert: label section not found
> Yodl: including file concrete/scanner
> Yodl: including file concrete/scanmain
> Yodl: including file concrete/scancompile
> Yodl: including file concrete/usingbison
> Yodl: including file concrete/bison
> Yodl: including file concrete/definition
> Yodl: including file concrete/rules
> Yodl: including file concrete/parserh
> Yodl: including file concrete/bisonflexspec
> Yodl: including file concrete/codegeneration
> Yodl: including file concrete/polymorphic
> Yodl: including file concrete/parser.yo
> Yodl: including file concrete/tag
> Yodl: including file concrete/mutable
> Yodl: including file concrete/tagtrait
> Yodl: including file concrete/access
> Yodl: including file concrete/sembase
> Yodl: including file concrete/semantic
> Yodl: including file concrete/addtypes
> Yodl: including file concrete/spsembase
> Yodl: including file concrete/polygram
> Yodl: including file concrete/semscanner.yo
> mv *.html ../tmp/docs/html
> cp ../../../single/* .
> ../../../scripts/patchhtml < cplusplus23.html > _cplusplus23.html
> mv _cplusplus23.html cplusplus23.html
> ../../../scripts/patchhtml < cplusplus22.html > _cplusplus22.html
> mv _cplusplus22.html cplusplus22.html
> ../../../scripts/patchhtml < cplusplus21.html > _cplusplus21.html
> mv _cplusplus21.html cplusplus21.html
> ../../../scripts/patchhtml < cplusplus20.html > _cplusplus20.html
> mv _cplusplus20.html cplusplus20.html
> ../../../scripts/patchhtml < cplusplus19.html > _cplusplus19.html
> mv _cplusplus19.html cplusplus19.html
> ../../../scripts/patchhtml < cplusplus18.html > _cplusplus18.html
> mv _cplusplus18.html cplusplus18.html
> ../../../scripts/patchhtml < cplusplus17.html > _cplusplus17.html
> mv _cplusplus17.html cplusplus17.html
> ../../../scripts/patchhtml < cplusplus16.html > _cplusplus16.html
> mv _cplusplus16.html cplusplus16.html
> ../../../scripts/patchhtml < cplusplus15.html > _cplusplus15.html
> mv _cplusplus15.html cplusplus15.html
> ../../../scripts/patchhtml < cplusplus14.html > _cplusplus14.html
> mv _cplusplus14.html cplusplus14.html
> ../../../scripts/patchhtml < cplusplus13.html > _cplusplus13.html
> mv _cplusplus13.html cplusplus13.html
> ../../../scripts/patchhtml < cplusplus12.html > _cplusplus12.html
> mv _cplusplus12.html cplusplus12.html
> ../../../scripts/patchhtml < cplusplus11.html > _cplusplus11.html
> mv _cplusplus11.html cplusplus11.html
> ../../../scripts/patchhtml < cplusplus10.html > _cplusplus10.html
> mv _cplusplus10.html cplusplus10.html
> ../../../scripts/patchhtml < cplusplus09.html > _cplusplus09.html
> mv _cplusplus09.html cplusplus09.html
> ../../../scripts/patchhtml < cplusplus08.html > _cplusplus08.html
> mv _cplusplus08.html cplusplus08.html
> ../../../scripts/patchhtml < cplusplus07.html > _cplusplus07.html
> mv _cplusplus07.html cplusplus07.html
> ../../../scripts/patchhtml < cplusplus06.html > _cplusplus06.html
> mv _cplusplus06.html cplusplus06.html
> ../../../scripts/patchhtml < cplusplus05.html > _cplusplus05.html
> mv _cplusplus05.html cplusplus05.html
> ../../../scripts/patchhtml < cplusplus04.html > _cplusplus04.html
> mv _cplusplus04.html cplusplus04.html
> ../../../scripts/patchhtml < cplusplus03.html > _cplusplus03.html
> mv _cplusplus03.html cplusplus03.html
> ../../../scripts/patchhtml < cplusplus02.html > _cplusplus02.html
> mv _cplusplus02.html cplusplus02.html
> ../../../scripts/patchhtml < cplusplus01.html > _cplusplus01.html
> mv _cplusplus01.html cplusplus01.html
> ../../../scripts/patchhtml < cplusplus.html > _cplusplus.html
> mv _cplusplus.html cplusplus.html
> touch ../../html-stamp
> ../../../scripts/htmlcontentspage > contents.html
> grep '^<index' cplusplus.html cplusplus??.html > cplusplus.index
> ../../bin/htmlindex < cplusplus.index > cppindex.html
> Segmentation fault
> system - failure of system call (status 35584)
> system - failure of system call (status 35584)
> make: *** [build-stamp] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/07/24/c++-annotations_9.4.0-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



Added tag(s) confirmed. Request was from tony mancill <tmancill@debian.org> to control@bugs.debian.org. (Wed, 25 Jul 2012 05:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Frank B. Brokken <f.b.brokken@rug.nl>:
Bug#682640; Package src:c++-annotations. (Wed, 25 Jul 2012 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to f.b.brokken@rug.nl:
Extra info received and forwarded to list. Copy sent to Frank B. Brokken <f.b.brokken@rug.nl>. (Wed, 25 Jul 2012 17:33:04 GMT) Full text and rfc822 format available.

Message #12 received at 682640@bugs.debian.org (full text, mbox):

From: "Frank B. Brokken" <f.b.brokken@rug.nl>
To: Debian Bug Tracking System <owner@bugs.debian.org>
Cc: Tony Mancill <tmancill@debian.org>, George Danchev <danchev@spnet.net>
Subject: Re: Processed: tagging 682640
Date: Wed, 25 Jul 2012 12:16:47 +0200
Dear Debian Bug Tracking System, you wrote:
> 
> 
> Processing commands for control@bugs.debian.org:
> 
> > tags 682640 + confirmed
> Bug #682640 [src:c++-annotations] c++-annotations: FTBFS: htmlindex causes
segmentation fault

Lucas Nussbaum reported:

    ...
    > mv _cplusplus02.html cplusplus02.html
    > ../../../scripts/patchhtml < cplusplus01.html > _cplusplus01.html
    > mv _cplusplus01.html cplusplus01.html
    > ../../../scripts/patchhtml < cplusplus.html > _cplusplus.html
    > mv _cplusplus.html cplusplus.html
    > touch ../../html-stamp
    > ../../../scripts/htmlcontentspage > contents.html
    > grep '^<index' cplusplus.html cplusplus??.html > cplusplus.index
    > ../../bin/htmlindex < cplusplus.index > cppindex.html
    > Segmentation fault
    > system - failure of system call (status 35584)
    > system - failure of system call (status 35584)
    > make: *** [build-stamp] Error 1
    
The segfault is most likely caused by an outdated libbobcat-dev library in
debian/control, which we forgot to update. It should have been:

    libbobcat-dev (>= 3.10.01)

I just ran ./build docs on amd64, using this bobcat version, and the segfault
disappeared:
 

    ...
    mv _cplusplus01.html cplusplus01.html
    ../../../scripts/patchhtml < cplusplus.html > _cplusplus.html
    mv _cplusplus.html cplusplus.html
    touch ../../html-stamp
    ../../../scripts/htmlcontentspage > contents.html
    grep '^<index' cplusplus.html cplusplus??.html > cplusplus.index
    ../../bin/htmlindex < cplusplus.index > cppindex.html
    File cplusplus.html at 0
    File cplusplus02.html at 1
    File cplusplus03.html at 2
    File cplusplus04.html at 3
    File cplusplus05.html at 4
    File cplusplus06.html at 5
    File cplusplus07.html at 6
    File cplusplus08.html at 7
    File cplusplus09.html at 8
    File cplusplus10.html at 9
    File cplusplus11.html at 10
    File cplusplus12.html at 11
    File cplusplus13.html at 12
    File cplusplus14.html at 13
    File cplusplus15.html at 14
    File cplusplus16.html at 15
    File cplusplus17.html at 16
    File cplusplus18.html at 17
    File cplusplus19.html at 18
    File cplusplus20.html at 19
    File cplusplus21.html at 20
    File cplusplus22.html at 21
    File cplusplus23.html at 22
    ../../bin/rmindexlines < cplusplus23.html > _cplusplus23.html
    mv _cplusplus23.html cplusplus23.html
    ...

We'll prepare a new control file asap.

Cheers,

-- 
    Frank B. Brokken
    Center for Information Technology, University of Groningen
    (+31) 50 363 9281 
    Public PGP key: http://pgp.surfnet.nl
    Key Fingerprint: DF32 13DE B156 7732 E65E  3B4D 7DB2 A8BE EAE4 D8AA




Information forwarded to debian-bugs-dist@lists.debian.org, Frank B. Brokken <f.b.brokken@rug.nl>:
Bug#682640; Package src:c++-annotations. (Sat, 28 Jul 2012 04:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
Extra info received and forwarded to list. Copy sent to Frank B. Brokken <f.b.brokken@rug.nl>. (Sat, 28 Jul 2012 04:57:02 GMT) Full text and rfc822 format available.

Message #17 received at 682640@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: 682640@bugs.debian.org, control@bugs.debian.org
Subject: FTBFS caused by compilation issue with libbobcat-dev
Date: Fri, 27 Jul 2012 21:45:24 -0700
[Message part 1 (text/plain, inline)]
clone 682640 -1
reassign -1 bobcat 3.01.00-1
thanks

The FTBFS appears to be caused by the libbobcat-dev package currently in
testing and unstable.  Both Frank Brokken (the upstream author) and I
are able to reproduce the FTBFS by attempting to build c++-annotations
with the current version of bobcat in sid and are able to resolve the
issue by first rebuilding the current bobcat source package in sid,
installing that libbobcat-dev, and then building c++-annotations.

Frank also confirmed that he can trigger the segfault using the
libbobcat-dev 3.01.00 in sid to compile a demo program distributed with
bobcat (./pattern/driver/driver.cc).  Again, the issue is resolved after
a rebuild of libbobcat-dev with the current g++ in sid (at least on amd64).

Thus I'm cloning the bug and will request a binnmu of bobcat and then of
c++-annotations, since sourceful uploads aren't required.

Thank you,
tony

[signature.asc (application/pgp-signature, attachment)]

Bug 682640 cloned as bug 683049 Request was from tony mancill <tmancill@debian.org> to control@bugs.debian.org. (Sat, 28 Jul 2012 04:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Frank B. Brokken <f.b.brokken@rug.nl>:
Bug#682640; Package src:c++-annotations. (Sat, 18 Aug 2012 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Frank B. Brokken <f.b.brokken@rug.nl>. (Sat, 18 Aug 2012 12:06:03 GMT) Full text and rfc822 format available.

Message #24 received at 682640@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 683049@bugs.debian.org, 682640@bugs.debian.org
Cc: 683244@bugs.debian.org
Subject: binNMU
Date: Sat, 18 Aug 2012 13:03:45 +0100
[Message part 1 (text/plain, inline)]
Just to help those scanning the RC bug lists, the binNMU request for
bobcat is #683244. The binNMU for c++-annotations would need to be
requested later.

I've done a simple test in a pbuilder chroot and the principle of the
request does fix these two RC bugs.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Frank B. Brokken <f.b.brokken@rug.nl>:
Bug#682640; Package src:c++-annotations. (Tue, 28 Aug 2012 05:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tony@mancill.com>:
Extra info received and forwarded to list. Copy sent to Frank B. Brokken <f.b.brokken@rug.nl>. (Tue, 28 Aug 2012 05:15:08 GMT) Full text and rfc822 format available.

Message #29 received at 682640@bugs.debian.org (full text, mbox):

From: tony mancill <tony@mancill.com>
To: Neil Williams <codehelp@debian.org>, 682640@bugs.debian.org
Cc: 683049@bugs.debian.org, 683244@bugs.debian.org
Subject: Re: Bug#682640: binNMU
Date: Mon, 27 Aug 2012 22:06:43 -0700
[Message part 1 (text/plain, inline)]
On 08/18/2012 05:03 AM, Neil Williams wrote:
> Just to help those scanning the RC bug lists, the binNMU request for
> bobcat is #683244. The binNMU for c++-annotations would need to be
> requested later.
> 
> I've done a simple test in a pbuilder chroot and the principle of the
> request does fix these two RC bugs.

Hi Neil,

Thank you for verifying the proposed binNMU.  Any advice on how to
proceed with this for bobcat from the maintainer perspective?

Thank you,
tony




[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Frank B. Brokken <f.b.brokken@rug.nl>:
Bug#682640; Package src:c++-annotations. (Sat, 08 Sep 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Frank B. Brokken <f.b.brokken@rug.nl>. (Sat, 08 Sep 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #34 received at 682640@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: tony mancill <tony@mancill.com>, 683244-done@bugs.debian.org
Cc: Neil Williams <codehelp@debian.org>, 682640@bugs.debian.org, 683049@bugs.debian.org
Subject: Re: Bug#683244: Bug#682640: binNMU
Date: Sat, 08 Sep 2012 16:53:58 +0100
On Mon, 2012-08-27 at 22:06 -0700, tony mancill wrote:
> On 08/18/2012 05:03 AM, Neil Williams wrote:
> > Just to help those scanning the RC bug lists, the binNMU request for
> > bobcat is #683244. The binNMU for c++-annotations would need to be
> > requested later.
> > 
> > I've done a simple test in a pbuilder chroot and the principle of the
> > request does fix these two RC bugs.
[...]
> Thank you for verifying the proposed binNMU.  Any advice on how to
> proceed with this for bobcat from the maintainer perspective?

We'd still like to know what actually caused the issue, really.  "Some
unknown issue that seems to have gone away now" doesn't fill one with
huge amounts of confidence.

In any case, to keep things moving I've scheduled binNMUs for bobcat.
Note that binNMUs can't close bugs, so if the binNMUs are successful
then you'll need to take care of closing #683049 yourself.

If further binNMUs for c++-annotations are still required, please
request those via a new bug, once the bobcat binNMUs have successfully
built everywhere.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Frank B. Brokken <f.b.brokken@rug.nl>:
Bug#682640; Package src:c++-annotations. (Tue, 11 Sep 2012 04:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tony@mancill.com>:
Extra info received and forwarded to list. Copy sent to Frank B. Brokken <f.b.brokken@rug.nl>. (Tue, 11 Sep 2012 04:21:06 GMT) Full text and rfc822 format available.

Message #39 received at 682640@bugs.debian.org (full text, mbox):

From: tony mancill <tony@mancill.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Neil Williams <codehelp@debian.org>, 682640@bugs.debian.org, 683049@bugs.debian.org
Subject: Re: Bug#683244: Bug#682640: binNMU
Date: Mon, 10 Sep 2012 21:16:47 -0700
[Message part 1 (text/plain, inline)]
On 09/08/2012 08:53 AM, Adam D. Barratt wrote:
> On Mon, 2012-08-27 at 22:06 -0700, tony mancill wrote:
>> On 08/18/2012 05:03 AM, Neil Williams wrote:
>>> Just to help those scanning the RC bug lists, the binNMU request for
>>> bobcat is #683244. The binNMU for c++-annotations would need to be
>>> requested later.
>>>
>>> I've done a simple test in a pbuilder chroot and the principle of the
>>> request does fix these two RC bugs.
> [...]
>> Thank you for verifying the proposed binNMU.  Any advice on how to
>> proceed with this for bobcat from the maintainer perspective?
> 
> We'd still like to know what actually caused the issue, really.  "Some
> unknown issue that seems to have gone away now" doesn't fill one with
> huge amounts of confidence.

Agreed.  It's merely a supposition that it could be related to issues
addressed in the gcc 4.7.1 release [1].

> In any case, to keep things moving I've scheduled binNMUs for bobcat.
> Note that binNMUs can't close bugs, so if the binNMUs are successful
> then you'll need to take care of closing #683049 yourself.

I see that the builds were successful on everything except hurd-i386,
which is blocked on a build-dep.  Will the binNMU eventually migrate
into wheezy, or does that require an unblock bug to be filed against
release.d.o?

> If further binNMUs for c++-annotations are still required, please
> request those via a new bug, once the bobcat binNMUs have successfully
> built everywhere.

Yes, I will do this.

Thank you for your help.
tony


[1]
http://gcc.gnu.org/bugzilla/buglist.cgi?bug_status=RESOLVED&resolution=FIXED&target_milestone=4.7.1


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Frank B. Brokken <f.b.brokken@rug.nl>:
Bug#682640; Package src:c++-annotations. (Tue, 11 Sep 2012 05:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Frank B. Brokken <f.b.brokken@rug.nl>. (Tue, 11 Sep 2012 05:12:03 GMT) Full text and rfc822 format available.

Message #44 received at 682640@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: tony mancill <tony@mancill.com>
Cc: Neil Williams <codehelp@debian.org>, 682640@bugs.debian.org, 683049@bugs.debian.org
Subject: Re: Bug#683244: Bug#682640: binNMU
Date: Tue, 11 Sep 2012 06:07:03 +0100
On Mon, 2012-09-10 at 21:16 -0700, tony mancill wrote:
> On 09/08/2012 08:53 AM, Adam D. Barratt wrote:
> > In any case, to keep things moving I've scheduled binNMUs for bobcat.
> > Note that binNMUs can't close bugs, so if the binNMUs are successful
> > then you'll need to take care of closing #683049 yourself.
> 
> I see that the builds were successful on everything except hurd-i386,
> which is blocked on a build-dep.  Will the binNMU eventually migrate
> into wheezy, or does that require an unblock bug to be filed against
> release.d.o?

binNMUs don't need unblocks on the britney side, so they'll
automatically migrate if possible (i.e. if they don't break any packages
currently in testing, haven't gained dependencies on packages not
already in testing, etc.).

Regards,

Adma




Reply sent to Martín Ferrari <martin.ferrari@gmail.com>:
You have taken responsibility. (Sun, 23 Sep 2012 15:57:08 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 23 Sep 2012 15:57:08 GMT) Full text and rfc822 format available.

Message #49 received at 682640-done@bugs.debian.org (full text, mbox):

From: Martín Ferrari <martin.ferrari@gmail.com>
To: 683049-done@bugs.debian.org, 682640-done@bugs.debian.org
Subject: FTBFS solved by NMU
Date: Sun, 23 Sep 2012 16:53:46 +0100
The binNMU requested at #683244 seems to have solved this issue. I
have just rebuild c++-annotations in a pbuilder, and it worked OK. The
htmlindex tool compiled and used during build does not segfault
anymore.

-- 
Martín Ferrari



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 22 Oct 2012 07:26:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:57:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.